org.eclipse.microprofile.metrics.tck.metrics

## Class HistogramFieldBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.HistogramFieldBeanTest

    public class HistogramFieldBeanTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`HistogramFieldBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `histogramFieldRegistered()`
`void` `instantiateTest()`
`void` `updateHistogramField()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HistogramFieldBeanTest

    public HistogramFieldBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### histogramFieldRegistered

    @InSequence(value=1)
    public void histogramFieldRegistered()

#### updateHistogramField

    @InSequence(value=2)
    public void updateHistogramField()